/**
 * @file app_led.h
 * @brief tuyaos quick start demo
 * @version 1.0
 * @date 2022-05-09
 *
 * @copyright Copyright 2021-2031 Tuya Inc. All Rights Reserved.
 *
 */

#ifndef __APP_LED_H__
#define __APP_LED_H__

/***********************************************************************
 ** INCLUDE                                                           **
 **********************************************************************/
#include "tuya_cloud_types.h"
#include "gw_intf.h"

#ifdef __cplusplus
extern "C" {
#endif

/***********************************************************************
 ** CONSTANT ( MACRO AND ENUM )                                       **
 **********************************************************************/
typedef UINT8_T LED_STATUS_E;
#define LED_OFF   0
#define LED_ON    1

/***********************************************************************
 ** STRUCT                                                            **
 **********************************************************************/


/***********************************************************************
 ** VARIABLE                                                          **
 **********************************************************************/


/***********************************************************************
 ** FUNCTON                                                           **
 **********************************************************************/

/**
 * @brief led init
 *
 * @param[in] none
 * @return none
 */
VOID_T app_led_init(VOID_T);

/**
 * @brief set led
 *
 * @param[in] led_status: LED_ON: led turn on, LED_OFF: led turn off
 * @return none
 */
VOID_T set_led_status(LED_STATUS_E led_status);

/**
 * @brief get led status, on or off
 *
 * @param[in] none
 * @return current led status
 */
LED_STATUS_E get_led_status(VOID_T);

/**
 * @brief init led thread
 *
 * @param[in] none
 * @return none
 */
VOID_T app_led_thread_init(VOID_T);

#ifdef __cplusplus
}
#endif

#endif /* __APP_LED_H__ */
